前往顾页
以后地位: 主页 > 收集编程 > Jsp实例教程 >

若何点窜maven默许的JDK版本

时候:2018-01-09 23:56来源:知行网www.zhixing123.cn 编辑:麦田守望者

平常平凡开辟中,新增java maven项目后,默许的jdk版本都是java1.5。

java1.5 版本较低,有很多java1.5以后新特性会报语法错误,如@Override就编译不经由过程。

现在来改下maven默许的jdk版本。体例有2种。

第一种:点窜maven目次下conf/settings.xml,合用全局

此种体例对所有maven项目都有效

在profiles节点中新增以下内容:

<profile>

<id>jdk-1.7</id>

<activation>

<activeByDefault>true</activeByDefault>

<jdk>1.7</jdk>

</activation>

<properties>

<maven.compiler.source>1.7</maven.compiler.source>

<maven.compiler.target>1.7</maven.compiler.target>

<maven.compiler.compilerVersion>1.7</maven.compiler.compilerVersion>

</properties>

</profile>

这里的JDK版本可以肆意点窜,可所以jdk1.8、jdk1.9 。

点窜后保存,更新下maven项目:

此时:

jdk版本已改成1.7了。

第二种:点窜maven项目标pom.xml文件

在<project></project>节点下新增:

<build>

<plugins>

<plugin>

<groupId>org.apache.maven.plugins</groupId>

<artifactId>maven-compiler-plugin</artifactId>

<configuration>

<source>1.7</source>

<target>1.7</target>

<encoding>${file_encoding}</encoding>

</configuration>

</plugin>

</plugins>

</build>

示例:

然后用maven号令行履行(mvn clean, mvn package),便可获得指定jdk版本编译的jar包。

顶一下
(1)
100%
踩一下
(0)
0%
------分开线----------------------------
标签(Tag):Java Java开辟标准
------分开线----------------------------
颁发评论
请自发遵循互联网相关的政策法规,严禁公布色情、暴力、革命的谈吐。
评价:
神色:
考证码:点击我更换图片
猜你感兴趣